## wmauda 0.3

=== Makefile ===
CC	?= gcc
CFLAGS	?= -g -pipe

PREFIX	?= /usr/local

INSTALL_DIR	:= $(PREFIX)/bin
PIXMAP_DIR	:= $(PREFIX)/share/pixmaps
MANPAGE_DIR	:= $(PREFIX)/share/man/man1

CFLAGS 	+= $(shell pkg-config audacious --cflags)
LIBS 	:= $(shell pkg-config audacious --libs)

OBJS 	= wmauda.o
HEADERS = config.h dock-master.xpm

wmauda:	$(OBJS) $(HEADERS)
	$(CC) -o wmauda $(OBJS) $(CFLAGS) $(LIBS)

all:	wmauda

clean:	
	rm -f *.o wmauda

install: all
	install -d $(DESTDIR)$(INSTALL_DIR)
	install -d $(DESTDIR)$(PIXMAP_DIR)
	install -d $(DESTDIR)$(MANPAGE_DIR)
	install -m 0755 wmauda $(DESTDIR)$(INSTALL_DIR)
	install -m 0644 wmauda.xpm $(DESTDIR)$(PIXMAP_DIR)
	install -m 0644 wmauda.1 $(DESTDIR)$(MANPAGE_DIR)

## wmauda 0.7

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 PIXMAP_DIR	:= $(PREFIX)/share/pixmaps
 MANPAGE_DIR	:= $(PREFIX)/share/man/man1
 
-CFLAGS 	+= $(shell pkg-config audacious --cflags)
-LIBS 	:= $(shell pkg-config audacious --libs)
+CFLAGS 	+= $(shell pkg-config audacious --cflags) $(shell pkg-config dbus-1 --cflags)
+LIBS 	:= $(shell pkg-config audacious --libs)   $(shell pkg-config dbus-1 --libs)
 
 OBJS 	= wmauda.o
 HEADERS = config.h dock-master.xpm

## wmauda 0.8

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,10 @@
 MANPAGE_DIR	:= $(PREFIX)/share/man/man1
 
 CFLAGS 	+= $(shell pkg-config audacious --cflags) $(shell pkg-config dbus-1 --cflags)
-LIBS 	:= $(shell pkg-config audacious --libs)   $(shell pkg-config dbus-1 --libs)
+LIBS 	:= $(shell pkg-config audacious --libs) $(shell pkg-config audclient --libs)  $(shell pkg-config dbus-1 --libs)
+
+CFLAGS  += $(shell pkg-config gtk+-2.0 --cflags)
+LIBS    += $(shell pkg-config gtk+-2.0 --libs)
 
 OBJS 	= wmauda.o
 HEADERS = config.h dock-master.xpm

=== debian/changelog ===
wmauda (0.8-3) unstable; urgency=low

  * debian/patches/link-against-missing-libraries.patch: Link against
    libdbus-glib-1 and libX11. Patch created by Sebastian Ramacher
    <sramacher@debian.org> (Closes: #713481).
  * Updated maintainer email address from kix@kix.es to kix@debian.org.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Debhelper compatibility bumped to 9.
  * debian/rules
    + Added DEB_CFLAGS_MAINT_APPEND to include hardening flags. This
      change avoids the lintian warning "hardening-no-relro usr/bin/wmauda".
  * Added debian/lintian-overrides file to avoid lintian warning about
    no-upstream-changelog.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Fri, 19 Jul 2013 18:15:54 +0200

wmauda (0.8-2) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * Bump Standards-Version to 3.9.3.
  [ Salvatore Bonaccorso <carnil@debian.org> ]
  * Add Build-Depends on libgtk2.0-dev to fix FTBFS (Closes: #664923). 

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Tue, 17 Apr 2012 23:07:32 +0200

wmauda (0.8-1) unstable; urgency=low

  * New maintainer (closes: #628903).
  * New upstream version (closes: #657596).
    + Debian patches included in upstream.
    + Changes de audacious2 command to audacious.
    + The manpage changes the audacious word to upcase.
  * Removed chrpath in debian/control because is not needed.
    (chrpath -l wmauda reports: wmauda: no rpath or runpath tag found.).
  * Debhelper compatibility bumped to 7.
  * Bump Standards-Version to 3.9.2.
    + New debian/rules file.
  * Added the Homepage field to debian/control.
  * debian/copyright is now DEP-5.
  * New debian/patches, DEP-3.
  * New debian/watch file.
  * Linking with --as-needed to avoid overlinking.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 05 Feb 2012 22:46:31 +0100

wmauda (0.7-5) unstable; urgency=low

  * Orphaning the package.

  * debian/control:
    + Set maintainer to Debian QA.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 12:13:51 +0200

wmauda (0.7-4) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).

  * Makefile:
    + Add missing -lX11 to LIBS (closes: #556679).

 -- Julien BLACHE <jblache@debian.org>  Tue, 17 Nov 2009 21:21:23 +0100

wmauda (0.7-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.2 (no changes).
    + Add build-dep on chrpath.
  * debian/rules:
    + Use chrpath to remove rpath on wmauda binary. The rpath is due to
      audclient.pc.

  * wmauda.c:
    + audacious is now called audacious2, change default command to
      match (closes: #534109).
  * wmauda.1:
    + Ditto.
    + Capitalize Audacious in the manpage in a consistent manner, update
      date and version.
  * Makefile:
    + Use audclient.pc instead of audacious.pc.

 -- Julien BLACHE <jblache@debian.org>  Fri, 26 Jun 2009 17:35:45 +0200

wmauda (0.7-2) unstable; urgency=low

  * Add dependency on dbus-x11, for dbus-launch.

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 Apr 2008 09:35:28 +0200

wmauda (0.7-1) unstable; urgency=low

  * Switched to new upstream source.

  * debian/patches/10_Makefile_default_CFLAGS.dpatch:
    + Removed; not needed.
  * debian/patches/11_fix_pixmap_depth.dpatch:
    + Removed; merged upstream.
  * debian/patches/12_port_to_audacious_1.4.dpatch:
    + Removed; merged upstream.
  * debian/control:
    + Remove Build-Dependency on dpatch.
    + Bump Standards-Version to 3.7.3 (no changes).
  * debian/rules:
    + Remove dpatch support.
  * debian/copyright:
    + Update upstream URL.
  * wmauda.1:
    + Remove -s/--session as it's no longer supported.

 -- Julien BLACHE <jblache@debian.org>  Mon, 31 Dec 2007 14:48:06 +0100

wmauda (0.3-5) unstable; urgency=low

  * debian/control:
    + Build-Depends: dpatch.
    + Bump audacious-dev build-dep.
    + Promote audacious from Recommends to Depends, versionned on >= 1.4.0-1.
  * debian/rules:
    + Use dpatch.
  * debian/patches/10_Makefile_default_CFLAGS.dpatch:
    + From previous Debian diff.
  * debian/patches/11_fix_pixmap_depth.dpatch:
    + From previous Debian diff.
  * debian/patches/12_port_to_audacious_1.4.dpatch:
    + Added; Port wmauda to the new DBus remote control interface in
      Audacious 1.4 (closes: #450439).

 -- Julien BLACHE <jblache@debian.org>  Thu, 15 Nov 2007 09:20:14 +0100

wmauda (0.3-4) unstable; urgency=low

  * wmauda.c:
    + Fix launch_pixmap creation; use drawable depth instead of specifying an
     erroneous depth (closes: #444379).

 -- Julien BLACHE <jblache@debian.org>  Mon, 01 Oct 2007 20:13:08 +0200

wmauda (0.3-3) unstable; urgency=low

  * debian/menu:
    + Added a description.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 21:03:03 +0200

wmauda (0.3-2) unstable; urgency=low

  * debian/menu:
    + Added; add debian menu file.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Aug 2007 18:54:15 +0200

wmauda (0.3-1) unstable; urgency=low

  * Initial release (Closes: #435390)

 -- Julien BLACHE <jblache@debian.org>  Tue, 31 Jul 2007 14:44:06 +0200

=== debian/control ===
Source: wmauda
Section: sound
Priority: extra
Maintainer: Rodolfo García Peñas (kix) <kix@debian.org>
Build-Depends: debhelper (>= 9), audacious-dev (>= 1.4.0), libgtk2.0-dev
Standards-Version: 3.9.4
Homepage: http://www.netswarm.net/misc/

Package: wmauda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, audacious (>= 1.4.0), dbus-x11
Description: remote-control dockapp for Audacious
 wmauda is a dockapp for WindowMaker and other window managers that support
 dockable applets. It acts as a remote control for the Audacious media player.
 .
 wmauda is a port of wmxmms to Audacious, itself seen as a replacement for
 XMMS.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS) -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" $(MAKE)

override_dh_auto_install:
	# Add here commands to install the package into debian/wmauda.
	$(MAKE) DESTDIR=$(CURDIR)/debian/wmauda PREFIX=/usr install

## wmauda 0.9

=== Makefile ===
--- 
+++ 
@@ -7,14 +7,14 @@
 PIXMAP_DIR	:= $(PREFIX)/share/pixmaps
 MANPAGE_DIR	:= $(PREFIX)/share/man/man1
 
-CFLAGS 	+= $(shell pkg-config audacious --cflags) $(shell pkg-config dbus-1 --cflags)
+CFLAGS 	+= $(shell pkg-config audacious --cflags) $(shell pkg-config dbus-1 --cflags) -DPIXMAP_DIR="\"$(PIXMAP_DIR)\""
 LIBS 	:= $(shell pkg-config audacious --libs) $(shell pkg-config audclient --libs)  $(shell pkg-config dbus-1 --libs)
 
 CFLAGS  += $(shell pkg-config gtk+-2.0 --cflags)
 LIBS    += $(shell pkg-config gtk+-2.0 --libs)
 
 OBJS 	= wmauda.o
-HEADERS = config.h dock-master.xpm
+HEADERS = dock-master.xpm
 
 wmauda:	$(OBJS) $(HEADERS)
 	$(CC) -o wmauda $(OBJS) $(CFLAGS) $(LIBS)

=== debian/changelog ===
wmauda (0.9-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:33:57 +1100

wmauda (0.9-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:05:46 +0000

wmauda (0.9-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + wmauda: Drop versioned constraint on audacious in Depends.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Add myself to copyright holders for debian/*.
  * debian/lintian-overrides
    - Remove file; only override was for a tag (no-upstream-changelog) that
      was removed in Lintian 2.5.96, released in 2018.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 24 Oct 2021 18:05:07 -0400

wmauda (0.9-3) unstable; urgency=medium

  * debian/control
    - Add libdbus-glib-1-dev to Build-Depends (Closes: #959611).
    - Bump Standards-Version to 4.5.0.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 03 May 2020 15:41:06 -0400

wmauda (0.9-2) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Switch Priority from extra to optional.

  [ Jeremy Sowden ]
  * Bumped compat to 12 and replaced d/compat with b-d on debhelper-compat.
  * Bump Standards-Version to 4.4.1.
  * Add myself to uploaders.
  * Add a patch to make pkg-config variable (closes: #948670).
  * Remove trailing white-space from d/changelog.
  * Add Rules-requires-root: no.

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 11 Jan 2020 16:51:22 +0000

wmauda (0.9-1) unstable; urgency=medium

  * New maintainer (Closes: #866850).
  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.0.0.
    - Add Vcs-* fields.
    - Replace dbus-x11 in Depends with default-dbus-session-bus |
      dbus-session-bus (Closes: #836145).
  * debian/copyright
    - Use https in Format.
    - Update Upstream-Contact.
  * debian/install
    - New file; installs desktop entry file.
  * debian/menu
    - Remove file; Debian menu is now deprecated.
  * debian/patches/ldflags.patch
    - New patch; honor LDFLAGS in Makefile.
  * debian/patches/link-against-missing-libraries.patch
    - Refresh for new upstream version.
  * debian/rules
    - Remove commented DH_VERBOSE line.
    - Use all hardening flags.
    - Remove override_dh_auto_build target. Previously, LDFLAGS
      was passed to the Makefile via CFLAGS.  We now patch the
      Makefile directly, omitting the need for this target.
    - Remove override_dh_auto_install target.  The PREFIX variable
      is also needed now during build, so we just export it.
  * debian/watch
    - Bump to uscan 4 and simplify with special strings.
  * debian/wmauda.desktop
    - New desktop entry file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 07 Jul 2017 22:29:13 -0400

wmauda (0.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change the build-dependency to libaudclient, as it's been moved
    to a separate package.
  * Update the Makefile to not link against audacious.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 07 Sep 2014 23:47:58 +0200

=== debian/control ===
Source: wmauda
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <jeremy@azazel.net>
Build-Depends: debhelper-compat (= 13),
               libaudclient-dev,
               libdbus-glib-1-dev,
               libgtk2.0-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.netswarm.net/misc/
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmauda
Vcs-Git: https://salsa.debian.org/wmaker-team/wmauda.git

Package: wmauda
Architecture: any
Depends: audacious,
         default-dbus-session-bus | dbus-session-bus,
         ${misc:Depends},
         ${shlibs:Depends}
Description: remote-control dockapp for Audacious
 wmauda is a dockapp for WindowMaker and other window managers that support
 dockable applets. It acts as a remote control for the Audacious media player.
 .
 wmauda is a port of wmxmms to Audacious, itself seen as a replacement for
 XMMS.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX = /usr

%:
	dh $@
